Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZBugModule Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ()
| get ( $id=-1)
| getAll ()
| getByParent ( $parent, $sortby="name", $recursive=false)
| path ( $moduleID=0)
| id ()
| name ( $html=true)
| description ( $html=true)
| parent ()
| ownerGroup ()
| setName ( $value)
| setDescription ( $value)
| setParent ( $value)
| setOwnerGroup ( $newOwner, $recursive=false)
| addBug ( $value)
& | bugs ( $sortMode="time", $fetchUnhandled=true, $withPrivate=false, $offset=0, $limit=50)
| countBugs ( $countUnhandled=true, $excludeClosed=false, $recursive=false, $withPrivate=false)
| isChild ( $moduleID, $check_for_self=false)

## Public Attributes
| $ID
| $Name
| $ParentID
| $Description
| $OwnerGroupID

## Detailed Description

! eZBug eZBugModule handles bug categories.

Example code:

// include the class
// include_once( "ezbug/classes/ezbugmodule.php" );
// create a new class object
$module = new eZBugModule();
// Set some object values and store them to the database.
$module->setName( "eZ trade" );
$module->setDescription( "Bugs reported here are related to the eZ trade module." );
$module->store();
eZBugModule
Definition: ezbugmodule.php:56
$module
$module
Definition: classes/admin/linkselect.php:219

See also
  eZBug eZBugCategory

TODO

Definition at line 55 of file ezbugmodule.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZBugModule::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZBugModule object.

If $id is set the object's values are fetched from the database.

Definition at line 63 of file ezbugmodule.php.

References $ID, and $id.

## Member Function Documentation

## ◆ addBug()

eZBugModule::addBug | ( |  | $value | ) |

Adds a bug to the module.

Definition at line 386 of file ezbugmodule.php.

References $db, $query, $res, and eZDB\globalDatabase().

## ◆ bugs()

& eZBugModule::bugs | ( |  | $sortMode = `"time"`,
|  |  | $fetchUnhandled = `true`,
|  |  | $withPrivate = `false`,
|  |  | $offset = `0`,
|  |  | $limit = `50`
| ) |  |

Returns every bug in a module as a array of eZBug objects.

If $fetchUnhandled is set to true the bugs which is not yet handled are also returned.

Definition at line 418 of file ezbugmodule.php.

References $db, $i, $OrderBy, and eZDB\globalDatabase().

## ◆ countBugs()

eZBugModule::countBugs | ( |  | $countUnhandled = `true`,
|  |  | $excludeClosed = `false`,
|  |  | $recursive = `false`,
|  |  | $withPrivate = `false`
| ) |  |

Returns the bug count in the module.

If $countUnhandled == true all bugs are counted if not, only handled bugs are counted.

If $excludeClosed == true the closed bugs does not get counted.

If $recursive == true it will also count the bug in the submodules.

Definition at line 481 of file ezbugmodule.php.

References $db, $i, $modules, $query, $ret, and eZDB\globalDatabase().

## ◆ delete()

eZBugModule::delete | ( |  | ) |

Deletes a eZBugModule object from the database.

Definition at line 120 of file ezbugmodule.php.

References $db, $module, $res, eZDB\finish(), getByParent(), and eZDB\globalDatabase().

## ◆ description()

eZBugModule::description | ( |  | $html = `true` | ) |

Returns the group description.

Definition at line 300 of file ezbugmodule.php.

References $Description.

## ◆ get()

eZBugModule::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 157 of file ezbugmodule.php.

References $db, $id, eZDB\globalDatabase(), and Name.

## ◆ getAll()

eZBugModule::getAll | ( |  | ) |

Returns all the categories found in the database.

The categories are returned as an array of eZBugModule objects.

Definition at line 184 of file ezbugmodule.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ getByParent()

eZBugModule::getByParent | ( |  | $parent,
|  |  | $sortby = `"name"`,
|  |  | $recursive = `false`
| ) |  |

Returns the categories with the module given as parameter as parent.

The categories are returned as an array of eZBugModule objects.

Definition at line 206 of file ezbugmodule.php.

References $db, $i, and eZDB\globalDatabase().

Referenced by delete(), and setOwnerGroup().

## ◆ id()

eZBugModule::id | ( |  | ) |

Returns the object ID to the module. This is the unique ID stored in the database.

Definition at line 278 of file ezbugmodule.php.

References $ID.

## ◆ isChild()

eZBugModule::isChild | ( |  | $moduleID,
|  |  | $check_for_self = `false`
| ) |  |

Returns true if the given module is a child (doesn't have to be first level) of this module. If the second parameter is set to true, the function also checks if the module given is itself.

Definition at line 542 of file ezbugmodule.php.

References $db, $result, and eZDB\globalDatabase().

## ◆ name()

eZBugModule::name | ( |  | $html = `true` | ) |

Returns the name of the module.

Definition at line 287 of file ezbugmodule.php.

References $Name, and Name.

## ◆ ownerGroup()

eZBugModule::ownerGroup | ( |  | ) |

Returns the owner group of this module as an eZOwnerGroup object. If the object doesn't have an owner it returns 0.

Definition at line 327 of file ezbugmodule.php.

References $group.

## ◆ parent()

eZBugModule::parent | ( |  | ) |

Returns the parent if one exist. If not 0 is returned.

Definition at line 311 of file ezbugmodule.php.

## ◆ path()

eZBugModule::path | ( |  | $moduleID = `0` | ) |

Definition at line 247 of file ezbugmodule.php.

References $ID, and $module.

## ◆ setDescription()

eZBugModule::setDescription | ( |  | $value | ) |

Sets the description of the module.

Definition at line 344 of file ezbugmodule.php.

## ◆ setName()

eZBugModule::setName | ( |  | $value | ) |

Sets the name of the module.

Definition at line 336 of file ezbugmodule.php.

References Name.

## ◆ setOwnerGroup()

eZBugModule::setOwnerGroup | ( |  | $newOwner,
|  |  | $recursive = `false`
| ) |  |

Sets the owner group of this module. Parameter $newOwner must be an eZUserGroup object. if $recursive is true the function will also set the owner group for all submodules. These will be stored automaticly.

Definition at line 366 of file ezbugmodule.php.

References $modules, and getByParent().

## ◆ setParent()

eZBugModule::setParent | ( |  | $value | ) |

Sets the parent module. Parameter must be an eZBugModule object.

Definition at line 353 of file ezbugmodule.php.

## ◆ store()

eZBugModule::store | ( |  | ) |

Stores a eZBugModule object to the database.

Definition at line 77 of file ezbugmodule.php.

References $db, $name, $res, eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $Description

eZBugModule::$Description

Definition at line 566 of file ezbugmodule.php.

Referenced by description().

## ◆ $ID

eZBugModule::$ID

Definition at line 563 of file ezbugmodule.php.

Referenced by __construct(), id(), and path().

## ◆ $Name

eZBugModule::$Name

Definition at line 564 of file ezbugmodule.php.

Referenced by name().

## ◆ $OwnerGroupID

eZBugModule::$OwnerGroupID

Definition at line 567 of file ezbugmodule.php.

## ◆ $ParentID

eZBugModule::$ParentID

Definition at line 565 of file ezbugmodule.php.

The documentation for this class was generated from the following file:

- ezbugmodule.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.